sockpol(Moonlight 2.0)

NAME
sockpol - Socket Policy Server for Moonlight 2+

SYNOPSIS

sockpol --all | --local | --file policy

DESCRIPTION
The sockpol command is a small socket server that listen, on port 943, to Moonlight and Silverlight plugin request for a socket policy file.

This policy file instruct the plugin if it can, or not, use sockets against the current host and what restrictions must be followed. The three major restrictions are the host , the ports , already restricted from 4502 to 4534, and the protocol which is currently limited to TCP.

OPTIONS
The following options are available:

--all
    Allow access to all URI on every port allowed by Moonlight (4502-4534).

--local
    Allow local access on every port allowed by Moonlight (4502-4534).

--file policy
    Load the specified policy file and send it to every requester.

FILES
When a file policy file is specified it must be in the correct XML format required by the plugins.

This example will allow any host (domain) to connect using protocol TCP to ports 4502 to 4534. This policy is the most lax policy that is possible to use with Moonlight.
<?xml version="1.0" encoding="utf-8"?>
<access-policy>
	<cross-domain-access>
		<policy>
			<allow-from>
				<domain uri="*" />
			</allow-from>
			<grant-to>
				<socket-resource port="4502-4534" protocol="tcp" />
			</grant-to>
		</policy>
	</cross-domain-access>
</access-policy>

MAILING LISTS
Mailing lists are listed at the http://www.mono-project.com/Mailing_Lists

WEB SITE
http://www.mono-project.com/Moonlight

SEE ALSO

mono(1)